Subject: bug#66509: closed (Re: bug#66509: 29.1.50; let-alist should support numeric indexing)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 Aug 2025 11:02:04 +0000

Your bug report

#66509: 29.1.50; let-alist should support numeric indexing

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66509: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66509
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66509: 29.1.50; let-alist should support numeric indexing
From: Eli Zaretskii <[email-masked]>
To: Spencer Baugh <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 30 Aug 2025 14:00:37 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 29 Aug 2025 09:19:30 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Spencer Baugh <[email-masked]>
> >> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> >> Date: Thu, 28 Aug 2025 15:05:08 -0400
> >> 
> >> Stefan Kangas <[email-masked]> writes:
> >> 
> >> > Stefan Kangas <[email-masked]> writes:
> >> >
> >> >> reopen 66509
> >> >> thanks
> >> >>
> >> >>>> Pushed to master (commit ae4171efdc6).
> >> >>>>
> >> >>>> I'm therefore closing this bug report.
> >> >>
> >> >> I'm reopening this bug report, based on this request from Robert Pluim:
> >> >>
> >> >>> Would it be possible to update the elisp manual as well (and maybe add
> >> >>> an entry to NEWS)?
> >> >>
> >> >> I think that should be done also, so I'm reopening the bug to track that
> >> >> work.  Spencer, do you think you could you please address it?
> >> >>
> >> >> Bonus points for adding tests, as requested by Eli.
> >> >
> >> > Ping!
> >> 
> >> Done in attached patch.
> >
> > Thanks.
> >
> >> ++++
> >> +** 'let-alist' supports indexing into lists
> >
> > Heading lines in NEWS should end in a period.
> 
> Fixed.
> 
> >> +The macro 'let-alist' now interprets symbols containing numbers as list
> >> +indexes.  For example, '.key.0' looks up 'key' in the alist and then
> >
> > "indices", I guess?
> 
> Fixed.
> 
> > Also, I see no patch for the ELisp manual, although the "+++" mark in
> > NEWS seems to imply that the manual was updated.  But the current
> > manual doesn't seem to say anything about keys that include indices,
> > or did I miss something?
> 
> Oops, fixed.

Thanks, now installed on the master branch, and closing the bug.

Subject: 29.1.50; let-alist should support numeric indexing
From: Spencer Baugh <[email-masked]>
To: [email-masked]
Date: Thu, 12 Oct 2023 18:03:22 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

It would be nice if let-alist supported indexing.  So if my alist
contained lists in some places, instead of writing:

(let-alist alist
  (let-alist (nth 0 .a)
    (let-alist (nth 3 .b)
       .c)))

I could instead write:

(let-alist alist
  .a.0.b.3.c)

A patch which does this to follow.